Bug 1733458 - Insights client may not be started daily when used on not-always-on machines
Summary: Insights client may not be started daily when used on not-always-on machines
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: insights-client
Version: 7.7
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Link Dupont
QA Contact: Pavol Kotvan
URL:
Whiteboard: pm_ack
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-26 07:31 UTC by Andreas Bleischwitz
Modified: 2020-02-14 17:24 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Andreas Bleischwitz 2019-07-26 07:31:20 UTC
Description of problem:
It was reported that some installations of the insights client do not report on a daily basis when used on client machines like laptops. This may be caused by the way how the insights-client.timer configuration is defined.

Version-Release number of selected component (if applicable):
insights-client-3.0.3-9.el7_5.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install and enable insights-client
2. Start the machine after 0:0:0
3. See insights-client not firing up

Actual results:
Insights client does not get triggered

Expected results:
Insights client gets started on a daily basis

Additional info:
According to the .timer configuration the client should be fired up "daily" - by systemd.time this has the following definition: "daily → *-*-* 00:00:00" - which is exactly at 0:0:0.
With the addition of "Persistant=True" a trigger of the client should be followed up even when the system had not been started at this time.

From "man systemd.timer":
Persistent=
           Takes a boolean argument. If true, the time when the service unit was last triggered is stored on disk. When the timer is activated, the service unit is triggered immediately if it would have been triggered at least once during the time when the timer was inactive. This is useful to catch up on
           missed runs of the service when the machine was off. Note that this setting only has an effect on timers configured with OnCalendar=.

Comment 4 Dave Johnson 2019-12-16 16:00:19 UTC
Pavol, is this released and good now?  Move to closed currentrelease if so.

Comment 5 Pavol Kotvan 2019-12-16 18:02:21 UTC
Fix is ready and it will be available in next RHEL7/8 insights-client RPM release.

Comment 6 Dave Johnson 2020-01-20 15:01:24 UTC
Pavol, has this been released yet?  If not, can you please give an idea as to when?  TY


Note You need to log in before you can comment on or make changes to this bug.